using Avalonia.Media;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace TourSK2.Models
{
    public partial class Tour
    {
        public Avalonia.Media.Imaging.Bitmap GetPic
        {
            get
            {
                Avalonia.Media.Imaging.Bitmap picture = null;
                try
                {
                    picture = new Avalonia.Media.Imaging.Bitmap($"Pictures/{Name}.jpg");
                    return picture;
                }
                catch
                {
                    picture = new Avalonia.Media.Imaging.Bitmap("Pictures/picture.png");
                    return picture;
                }
            }
        }
        /// <summary>
        /// Свойство для получения текстового варианта актуальности или неактуальности тура
        /// </summary>
        public string GetActual
        {
            get
            {
                if (IsActual[0] == true)
                {
                    return "Актуален";
                }
                else
                {
                    return "Не актуален";
                }
            }
        }
        /// <summary>
        /// Свойство для цвета тексту актуальности
        /// </summary>
        public SolidColorBrush GetColor
        {
            get
            {
                if (IsActual[0] == true)
                {
                    return new SolidColorBrush(Avalonia.Media.Color.FromRgb(0, 194, 42));
                }
                else
                {
                    return new SolidColorBrush(Avalonia.Media.Color.FromRgb(247, 5, 5));
                }
            }
        }
    }
}
 